import { Router } from "express";
import Database from "../db/database";

const router = Router();
const db = new Database();

router.get('/', async (req, res) => {
    const scores = await db.query('SELECT userId, sum(time) AS totalTime, sum(xp) AS totalXP, sum(mistakes) AS totalMistakes FROM scores GROUP BY userId ORDER BY totalXP DESC', []);
    res.json({ code: 200, scores });    
});

export default router;